/*------------------------------------------------------------------

@Author: CodeoStudio
@URL:    http://codeostudio.hr/
@Date:   04/1/2017

[Table of contents]

1. Open off-canvas wrap on mobile
2. Clone primary menu to offcanvas
3. Off-canvas open sub-menus on mobile
4. Sticky primary menu
5. Responsive videos on mobile
6. Initializing popup lightbox
7. Sticky sidebar
8. Open/close search form
9. Load main carousel
10. Load post slider
11. Price filter for shop
12. Tabs

-------------------------------------------------------------------*/   

// Load scripts after document is ready
$(document).ready(function(){
	"use strict";
	// 1. Open off-canvas wrap on mobile
	$(".cs-toggle-nav, .cs-offcanvas-wrap .cs-offcanvas-close").on("click", function () {
        $(".cs-offcanvas-wrap").toggleClass("active");
    });
    // 2. Clone stuff to offcanvas
    $(".cs-primary-nav nav").clone().appendTo(".cs-offcanvas-nav");
    $(".cs-header-search form").clone().appendTo(".cs-offcanvas-search");
    $(".cs-header-logo").clone().appendTo(".cs-offcanvas-logo");
    $(".cs-header-cart").clone().appendTo(".cs-offcanvas-cart");
    $(".cs-header-top-menu nav").clone().appendTo(".cs-offcanvas-topnav");
    $(".cs-header-social nav").clone().appendTo(".cs-offcanvas-social");
    // 3. Off-canvas open sub-menus on mobile
    $(".cs-offcanvas-nav .menu-item-has-children a").on("click", function () {
        event.stopPropagation();
        location.href = this.href;
    });
    $(".cs-offcanvas-nav .menu-item-has-children").on("click", function () {
        $(this).children("ul").toggle();
        $(".cs-offcanvas-nav nav").resize();
        $(this).toggleClass("show-sub-menu");
        return false;
    });
    // 4. Sticky primary menu
    var initMenuPosition= $(".cs-header-menu").offset().top;
    $(window).on("scroll", function () {
        if ($(window).scrollTop() > initMenuPosition){
            $(".cs-header-menu-sticky").addClass("active");
            $(".cs-header-menu-fill").css("height", 70);
        } else {
            $(".cs-header-menu-sticky").removeClass("active");
            if($(window).width() < 799){
                $(".cs-header-menu-fill").css("height", 0);
            }
        }
    });
	// 5. Responsive videos on mobile
	$("body").fitVids();
    // 6. Initializing popup lightbox
    $(".cs-lightbox-image").magnificPopup({type:"image"});
    // 7. Sticky sidebar
    $(".cs-sticky-sidebar").theiaStickySidebar({
        additionalMarginTop: 110
    });
    // 8. Open/close search form
    $("#cs-header .cs-header-middle .cs-header-search .cs-open-search").on("click", function () {
        $("#cs-header .cs-header-middle .cs-header-search").toggleClass("active");
    });
    // 9. Load main carousel
    var swiper = new Swiper('.cs-main-carousel .swiper-container', {
        pagination: '.cs-main-carousel .swiper-pagination',
        slidesPerView: 3,
        paginationClickable: true,
        spaceBetween: 30,
        nextButton: '.cs-main-carousel .swiper-button-next',
        prevButton: '.cs-main-carousel .swiper-button-prev',
        breakpoints: {
            480: {
                slidesPerView: 1,
                spaceBetween: 0
            },
            768: {
                slidesPerView: 2,
                spaceBetween: 15
            },
            1024: {
                slidesPerView: 2
            }
          }
    });
    // 10. Load post slider
    var swiper = new Swiper('.cs-post-single-media .swiper-container', {
        pagination: '.cs-post-single-media .swiper-pagination',
        slidesPerView: 1,
        nextButton: '.cs-post-single-media .swiper-button-next',
        prevButton: '.cs-post-single-media .swiper-button-prev'
    });
    // 11. Price filter for shop
    $(".price_slider_wrapper").slider({
        range: true,
        min: 0,
        max: 300,
        values: [0, 300],
        slide: function(event, ui) {
            $(".price_label").text("$" + ui.values[ 0 ] + " - $" + ui.values[ 1 ]);
        }
    });
    $("span.from").text("$" + $(".price_slider_wrapper").slider("values", 0));
    $("span.to").text("$" + $(".price_slider_wrapper").slider("values", 1));
    // 12. Tabs
    $(".woocommerce-tabs").tabs();
    $(".cs-tab-group").tabs();
    // 13. Accordions
    $(".cs-accordion-group").accordion({
        heightStyle: "content",
        collapsible: true,
        icons: false
    });
});